com.lowagie.text.pdf

## Class ShadingColor

- java.lang.Object
- - java.awt.Color
  - - com.lowagie.text.pdf.ExtendedColor
    - - com.lowagie.text.pdf.ShadingColor

All Implemented Interfaces:
  java.awt.Paint, java.awt.Transparency, java.io.Serializable

    public class ShadingColor
    extends ExtendedColor

Implements a shading pattern as a `Color`.

Author:
  Paulo Soares (psoares@consiste.pt)
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID`
`(package private) PdfShadingPattern` `shadingPattern`

### Fields inherited from class com.lowagie.text.pdf.ExtendedColor

`type, TYPE_CMYK, TYPE_GRAY, TYPE_PATTERN, TYPE_RGB, TYPE_SEPARATION, TYPE_SHADING`

### Fields inherited from class java.awt.Color

`black, BLACK, blue, BLUE, cyan, CYAN, DARK_GRAY, darkGray, gray, GRAY, green, GREEN, LIGHT_GRAY, lightGray, magenta, MAGENTA, orange, ORANGE, pink, PINK, red, RED, white, WHITE, yellow, YELLOW`

### Fields inherited from interface java.awt.Transparency

`BITMASK, OPAQUE, TRANSLUCENT`

### Constructor Summary

Constructors
Constructor and Description
`ShadingColor(PdfShadingPattern shadingPattern)` Creates a shading color.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`PdfShadingPattern` `getPdfShadingPattern()` Gets the shading pattern.
`int` `hashCode()`

### Methods inherited from class com.lowagie.text.pdf.ExtendedColor

`getType, getType, normalize`

### Methods inherited from class java.awt.Color

`brighter, createContext, darker, decode, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getColorComponents, getColorSpace, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGB, getRGBColorComponents, getRGBComponents, getTransparency, HSBtoRGB, RGBtoHSB, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### shadingPattern

    PdfShadingPattern shadingPattern

### Constructor Detail

#### ShadingColor

    public ShadingColor(PdfShadingPattern shadingPattern)

Creates a shading color.

Parameters:
  `shadingPattern` -

### Method Detail

#### getPdfShadingPattern

    public PdfShadingPattern getPdfShadingPattern()

Gets the shading pattern.

Returns:
  a shading pattern.

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.awt.Color`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.awt.Color`